/*
 * LDCC - a Linux Direct Connect Client
 * Copyright (C) 2003 Marcin Slonicki
 *
 * const.h: Copyright (C) Marcin Slonicki <marcins@softservice.com.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __CONST_H
#define __CONST_H
/*-----------------------------------------------------------------*/
const int
         cmServers  = 1000,
         cmConnect  = 1001,
         cmAbout    = 1002,
         cmOptions  = 1003,
         cmRead     = 1004,
         cmSearch   = 1005,
         cmCommand  = 1006,
         cmDownload = 1007,
         cmXfer     = 1008,
         cmKill     = 1009,
         cmResume   = 1010,
         cmAttache  = 1011,
         cmShared   = 1012,
         cmAdd      = 1013,
         cmDel      = 1014,
         cmCount    = 1015,
         cmReadMe   = 1016,
         cmDDir     = 1017,
         cmBeeper   = 1018,
         cmCoverter = 1019,
         cmCommands = 1020,
         cmVAR      = 1021,
         cmFavorite = 1022,
         cmWndMode  = 1023,
         cmWndOther = 1024,
         cmWndAuto  = 1025,
         cmWndPriv  = 1026,
         cmWndErrors= 1027,
         cmWndComm  = 1028,
         cmWndStat  = 1029,
         cmWndExtra = 1030,
         cmColors   = 1031,
         
         cmHold     = 250,
         cmActivate = 251,
         cmDelSrc   = 252,
         cmAS       = 253,
         
         cmNOP = 60000;

/*-----------------------------------------------------------------*/
#endif
