/*
 * LDCC - a Linux Direct Connect Client
 * Copyright (C) 2003 Marcin Slonicki
 *
 * main.h: Copyright (C) Marcin Slonicki <marcins@softservice.com.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __MAIN_H
#define __MAIN_H
/*-----------------------------------------------------------------*/

#define Uses_TApplication
#include <tv.h>

/*-----------------------------------------------------------------*/
class TDCApp: public TApplication
{
 public:
                        TDCApp();
   static TMenuBar*     initMenuBar(TRect r);
   static TStatusLine*  initStatusLine(TRect r);
   virtual void         handleEvent(TEvent &event);
   virtual void         idle();
   virtual void         run();
           void         about();

           void         AutoConnect();
//           void         readMe();
//           void         commands();
//           void         VAR();
           void         shutDown();
           
};
/*-----------------------------------------------------------------*/
extern TDCApp* DCApp;
extern char*   cfgFile;
extern char*   debFile;
extern char*   logFile;
extern char*   colCfgFile;
/*-----------------------------------------------------------------*/
#endif

