/*
 * LDCC - a Linux Direct Connect Client
 * Copyright (C) 2003 Marcin Slonicki
 *
 * info.cc: Copyright (C) Marcin Slonicki <marcins@softservice.com.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "info.h"

#include "tools.h"
/*-----------------------------------------------------------------*/
//                     class TInfo
/*-----------------------------------------------------------------*/
TInfo::TInfo(TRect AR):TView(AR)
{
 strcpy(line, " [ LINUX Direct Connect Client ][ http://www.softservice.com.pl/ldcc ] ");
 growMode = gfGrowHiX;
}
/*-----------------------------------------------------------------*/
void TInfo::shutDown()
{
 TView::shutDown();
}
/*-----------------------------------------------------------------*/
void TInfo::draw()
{
 TDrawBuffer b;
       uchar color = getColor(1);

 b.moveChar(0, ' ', color, size.x);
 b.moveStr(0, line, color);

 writeLine(0, 0, size.x, 1, b);

// WriteStr(0,      0,        line, ctListBoxSel);
// WriteStr(RV.a.x, RV.a.y,   line, ctListBoxSel);
}
/*-----------------------------------------------------------------*/
#define cpInfo "\x08"
TPalette& TInfo::getPalette() const
{
 static TPalette palette( cpInfo, sizeof(cpInfo)-1 );
 return palette;
}
/*-----------------------------------------------------------------------*/


