/*
 * LDCC - a Linux Direct Connect Client
 * Copyright (C) 2003 Marcin Slonicki
 *
 * liczby.cc: Copyright (C) Marcin Slonicki <marcins@softservice.com.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "liczby.h"

/*-----------------------------------------------------------------------*/
#include<stdio.h>
#include<string.h>
/*-----------------------------------------------------------------------*/

/*-----------------------------------------------------------------------*/
uchar Str2Uchar(char* AStr)
{
 uchar uc;
   int i;
   
 if (AStr==NULL) return (uchar)0;
 if (AStr[0]==0) return (uchar)0;

 if (sscanf(AStr, "%d", &i) != -1) {
   uc = (uchar)i;
   return uc;
 }
 return (uchar)0;
}
/*-----------------------------------------------------------------------*/
ushort Str2Ushort(char* AStr)
{
 ushort us;
    int i;
 if (AStr==NULL) return (ushort)0;
 if (AStr[0]==0) return (ushort)0;
 if (sscanf(AStr, "%d", &i) != -1) {
   us = (ushort)i;
   return us;
 }
 return (ushort)0;
}
/*-----------------------------------------------------------------------*/
float Str2Float(char* AStr)
{
 float fl;
 if (AStr==NULL) return (float)0;
 if (AStr[0]==0) return (float)0;
 if ( sscanf(AStr, "%f", &fl) != -1 )
   return fl;
   else
   return (float)0.0;
}
/*-----------------------------------------------------------------------*/
double Str2Double(char* AStr)
{
 double db;
 if (AStr==NULL) return (double)0;
 if (AStr[0]==0) return (double)0;
 if (sscanf(AStr, "%lf", &db) != -1)
   return db;
   else
   return (double)0.0;
}
/*-----------------------------------------------------------------------*/
long Str2Long(char* AStr)
{
 long lg;
 if (AStr==NULL) return (long)0;
 if (AStr[0]==0) return (long)0;
 if (sscanf(AStr, "%ld", &lg) != -1)
   return lg;
   else
   return (long)0;
}
/*-----------------------------------------------------------------------*/
int Str2Int(char* AStr)
{
 int it;
 if (AStr==NULL) return (int)0;
 if (AStr[0]==0) return (int)0;
 if (sscanf(AStr, "%d", &it) != -1)
   return it;
   else
   return (int)0;
}
/*-----------------------------------------------------------------------*/

