/*
 * LDCC - a Linux Direct Connect Client
 * Copyright (C) 2003 Marcin Slonicki
 *
 * options.h: Copyright (C) Marcin Slonicki <marcins@softservice.com.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __OPTIONS_H
#define __OPTIONS_H

/*-----------------------------------------------------------------*/
#include <stdio.h>

#include <tv.h>
/*-----------------------------------------------------------------*/
void Favorite();
void Coverter();
/*-----------------------------------------------------------------*/
struct TOptions
{
   char  Nick[20];
   char  Info[40];
   char  Slots[2];
   char  VSharedDir[125];
   char  HostIP[16];  //000.000.000.000
   char  HostPort[6]; //00000
   char  ConnType[10];
   char  Offset[20];
   char  Timeout[3];
   char  Dctc[80];
   ushort  Firewall;
   ushort  DDL;
   ushort  MD5;
   ushort  Log;
   ushort  Deb;
   char  UBL[5];
   char  DBL[5];
};

extern TOptions opt;
extern char  beep_word[5][50];
extern uchar mx[20][2];
extern FILE* f_log;
extern FILE* f_deb;
extern char  downloadDir[511];

#define DEB(x)   if (f_deb!=NULL) { fprintf(f_deb,"%s\n", x); fflush(f_deb); }
#define DEB2(x,y) if (f_deb!=NULL) { fprintf(f_deb,"%s%s\n", x, y); fflush(f_deb); }

/*-----------------------------------------------------------------*/
void ReadOptions();
void DCOptions();
void Beeper();
/*-----------------------------------------------------------------*/
#endif

