/*
 * LDCC - a Linux Direct Connect Client
 * Copyright (C) 2003 Marcin Slonicki
 *
 * progress.h: Copyright (C) Marcin Slonicki <marcins@softservice.com.pl>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __PROGRESS_H
#define __PROGRESS_H
/*-----------------------------------------------------------------*/

#include <time.h>

#define Uses_TScrollBar
#define Uses_TListBox
#define Uses_TDialog
#include <tv.h>

#include "tools.h"
//#include "search.h"
/*-----------------------------------------------------------------*/

/*-----------------------------------------------------------------*/
class TPBItem : public TObject
{
 public:
                TPBItem();
           void shutDown();

           char* FileName;
  unsigned long  Size;
  unsigned long  Received;
         double  Speed;
};
/*-----------------------------------------------------------------*/
class TPBListBox : public TListBox
{
 public:
                        TPBListBox(TRect AR, ushort AC, TScrollBar* SB);
                   void shutDown();
                   void getText(char* dest, ccIndex item, short maxLen);
};
/*-----------------------------------------------------------------*/
class THUB;
/*-----------------------------------------------------------------*/
class TProgBarDial : public TDialog
{
 public:
                TProgBarDial(TRect AR, char* AT, THUB* AMain);
           void shutDown();
           void AddMessage(char* Message);
           void idle();
           void handleEvent(TEvent& event);
           void Setup();
           void Update();
 private:
 TObjCollection* kol;
     TPBListBox* LB;
    TListBoxRec  dkol;
           THUB* Main;
         time_t  lasttest;
};
/*-----------------------------------------------------------------*/
#endif

